targets:

  nec-wx3000hp-nand:
    resources:
      RawSerialPort:
        port: "/dev/nec-wx3000hp"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 2
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 2
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        username: kingbanik
      SmallUBootDriver:
        prompt: 'GRX500 #'
        boot_secret: ''
        boot_expression: 'Hit any key to stop autoboot'
        init_command_timeout: 60
        init_commands:
          - setenv bootdelay 5
          - setenv serverip 192.168.1.2
          - setenv ipaddr 192.168.1.1
          - setenv bootargs debug earlyprintk console=ttyLTQ0,115200
          - setenv fullimage AX3000_1600_ETH_11AXUCI_ASURADA-squashfs-fullimage.img
          - ubi part system_sw
          - ubi remove rootfs_data
          - ubi create rootfs_data 0x2000000 dynamic
          - run update_fullimage
          - run run_bootcore
          - ubi read $loadaddr $kernel_vol
          - run flashargs addmisc
      UBootStrategy: {}

  nec-wx3000hp-firstboot:
    resources:
      RawSerialPort:
        port: "/dev/nec-wx3000hp"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 2
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 2
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        username: kingbanik
      SmallUBootDriver:
        prompt: 'GRX500 #'
        boot_secret: ''
        boot_expression: 'Hit any key to stop autoboot'
        init_command_timeout: 60
        init_commands:
          - setenv bootargs debug earlyprintk console=ttyLTQ0,115200
          - ubi part system_sw
          - ubi remove rootfs_data
          - ubi create rootfs_data 0x2000000 dynamic
          - ubi read $loadaddr $kernel_vol
          - run flashargs addmisc
      UBootStrategy: {}

  netgear-rax40-nand:
    resources:
      RawSerialPort:
        port: "/dev/netgear-rax40"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 1
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 1
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        username: kingbanik
      SmallUBootDriver:
        prompt: 'GRX500 #'
        boot_secret: ''
        boot_expression: 'Hit any key to stop autoboot'
        init_command_timeout: 60
        init_commands:
          - setenv bootdelay 0
          - setenv serverip 192.168.1.2
          - setenv ipaddr 192.168.1.1
          - setenv bootargs debug earlyprintk console=ttyLTQ0,115200
          - setenv fullimage NETGEAR_RAX40-squashfs-fullimage.img
          - ubi part system_sw
          - ubi remove rootfs_data
          - ubi create rootfs_data 0x2000000 dynamic 5
          - run update_fullimage
          - run run_bootcore
          - ubi read $(loadaddr) $(kernel_vol)
          - run flashargs addmisc
      UBootStrategy: {}

  netgear-rax40-initramfs:
    resources:
      RawSerialPort:
        port: "/dev/ttyS1"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 1
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 1
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        username: kingbanik
      SmallUBootDriver:
        prompt: 'GRX500 #'
        boot_secret: ''
        boot_expression: 'Hit any key to stop autoboot'
        init_command_timeout: 60
        init_commands:
          - setenv bootdelay 0
          - setenv serverip 192.168.1.2
          - setenv ipaddr 192.168.1.1
          - setenv bootargs debug earlyprintk console=ttyLTQ0,115200
          - tftpboot 0x8f500000 NETGEAR_RAX40-initramfs-kernel.bin
      UBootStrategy: {}

  tplink-c6v2-initramfs:
    resources:
      RawSerialPort:
        port: "/dev/tplink-c6v2"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 0
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 0
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        await_login_timeout: 15
        username: kingbanik
      SmallUBootDriver:
        prompt: 'ath> '
        boot_expression: 'Hit any key to stop autoboot'
        init_commands:
          - setenv bootdelay 0
          - setenv serverip 192.168.1.2
          - setenv ipaddr 192.168.1.1
          - setenv bootargs debug earlyprintk console=ttyS0,115200
          - ping 192.168.1.2; ping 192.168.1.2; ping 192.168.1.2
          - tftpboot 0x81000000 openwrt-ath79-generic-tplink_archer-c6-v2-initramfs-kernel.bin
      UBootStrategy: {}

  glinet-b1300-initramfs:
    resources:
      RawSerialPort:
        port: "/dev/glinet-b1300"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 1
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 1
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        await_login_timeout: 15
        username: kingbanik
      UBootDriver:
        prompt: '\(IPQ40xx\) # '
        password: 'gl'
        password_prompt: 'Hit "gl" key to stop booting'
        init_commands:
          - setenv bootdelay 0
          - setenv serverip 192.168.1.2
          - setenv ipaddr 192.168.1.1
        boot_command_delay: 5
        boot_timeout: 90
        boot_command: tftpboot 0x88000000 openwrt-ipq40xx-generic-glinet_gl-b1300-initramfs-fit-uImage.itb && bootm 0x88000000
      UBootStrategy: {}

  glinet-b1300-nor:
    resources:
      RawSerialPort:
        port: "/dev/glinet-b1300"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 1
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 1
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        await_login_timeout: 15
        username: kingbanik
      UBootDriver:
        prompt: '\(IPQ40xx\) # '
        password: 'gl'
        password_prompt: 'Hit "gl" key to stop booting'
        init_commands:
          - setenv bootdelay 0
          - setenv serverip 192.168.1.2
          - setenv ipaddr 192.168.1.1
        boot_command_delay: 5
        boot_timeout: 180
        boot_command: tftpboot 0x84000000 openwrt-ipq40xx-generic-glinet_gl-b1300-squashfs-sysupgrade.bin && sf probe && sf erase 0x180000 0x1e80000 && sf write 0x84000000 0x180000 $filesize && bootipq
      UBootStrategy: {}

  # needs patched u-boot for emmc r/w https://lists.denx.de/pipermail/u-boot/2021-February/441964.html
  turris-omnia-emmc:
    resources:
      RawSerialPort:
        port: "/dev/turris-omnia"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 0
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 0
      SerialDriver:
        txdelay: 0.01
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        await_login_timeout: 15
        username: kingbanik
      UBootDriver:
        prompt: '=> '
        init_commands:
          - setenv bootargs earlyprintk console=ttyS0,115200
          - setenv set_blkcnt 'setexpr blkcnt ${filesize} + 0x7ffff && setexpr blkcnt ${blkcnt} / 0x80000 && setexpr blkcnt ${blkcnt} * 0x400'
          - dhcp ${kernel_addr_r} openwrt-mvebu-cortexa9-cznic_turris-omnia-sysupgrade.img
        boot_command: run set_blkcnt && mmc dev 0 0 && mmc erase 0 ${blkcnt} && mmc write ${kernel_addr_r} 0 ${blkcnt} && run bootcmd
      UBootStrategy: {}

  turris-omnia-initramfs:
    resources:
      RawSerialPort:
        port: "/dev/turris-omnia"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 0
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 0
      SerialDriver:
        txdelay: 0.01
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        await_login_timeout: 15
        username: kingbanik
      UBootDriver:
        prompt: '=> '
        init_commands:
          - setenv kernel_addr_r 0x2000000
          - setenv bootargs earlyprintk console=ttyS0,115200
          - dhcp ${kernel_addr_r} openwrt-mvebu-cortexa9-cznic_turris-omnia-initramfs-kernel.bin
        boot_command: bootm ${kernel_addr_r}
      UBootStrategy: {}
